#pragma once
#include <map>
struct Fish_GeneratorCFGData
{
	//key
	int mID;
	//鱼阵名字
	std::string mName;
	//鱼阵类型
	int mType;
	//参数
	std::vector<int> mParam;
};

class Fish_GeneratorCFG
{
public:
private:
	static std::auto_ptr<Fish_GeneratorCFG> msSingleton;
public:
	int GetCount();
	const Fish_GeneratorCFGData* GetData(int ID);
	const std::map<int, Fish_GeneratorCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_GeneratorCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_GeneratorCFGData> mMapData;
};
